#!/bin/csh

echo "Automated Download and Installation."
echo "NMRPipe System 2012.296.13.07 ..."
echo ""

set origDir = (`pwd`)

if (-d pipe) then
   echo "Directory pipe already exists ..."
else
   echo "Creating directory pipe ..."
   mkdir pipe
endif

cd pipe

if (-d nmr) then
   echo "Directory pipe/nmr already exists ..."
else
   echo "Creating directory pipe/nmr ..."
   mkdir nmr
endif

if (-d tar) then
   echo "Directory pipe/tar already exists ..."
else
   echo "Creating directory pipe/tar ..."
   mkdir tar
endif

echo "Copying install files into pipe/tar ..."
cd tar

set fList = (install.com binval.com NMRPipeX.tZ talos.tZ dyn.tZ s.tZ)
set fSrc  = http://spin.niddk.nih.gov/NMRPipe/install/download

foreach f ($fList)
   echo "Getting $fSrc/$f ..."
   wget $fSrc/$f
end

chmod a+rw *
chmod a+x  *.com

echo "Installing in directory pipe/nmr ..."
cd ../nmr

cp ../tar/install.com .
cp ../tar/binval.com  .

./install.com +src ../tar

cd $origDir

exit 0
