#!/bin/csh

#
# Extract data type and size for updating conversion parameters
# on the fly, so that the same conversion script can be reused
# while acquisition is in progress.

set thisArgv = (bruk2pipe `bruker -notk -auto -listArgs -noverb`)

set wordSize = (`getArgD $thisArgv -wordSize  4`)
set wordType = (`getArgD $thisArgv -wordType  int`)

set dimCount    = (`getArgD $thisArgv -ndim   1`)
set nusDimCount = (`getArgD $thisArgv -nusDim 1`)

nmrPrintf "-ws $wordSize"

if (`string csame $wordType float`) then
   nmrPrintf " -noi2f"
endif

if (`string isint $dimCount` == 0) then
   exit 0
endif

if (`flagLoc $argv -nus`) then
   exit 0
endif

if ($dimCount >= 2) then
   set yN = (`getArgD $thisArgv -yN None`) 
   set yT = (`getArgD $thisArgv -yT None`) 

   nmrPrintf " -yN $yN -yT $yT"
endif

if ($dimCount >= 3) then
   set zN = (`getArgD $thisArgv -zN None`) 
   set zT = (`getArgD $thisArgv -zT None`) 

   nmrPrintf " -zN $zN -zT $zT"
endif

if ($dimCount >= 4) then
   set aN = (`getArgD $thisArgv -aN None`) 
   set aT = (`getArgD $thisArgv -aT None`) 

   nmrPrintf " -aN $aN -aT $aT"
endif

exit 0
