#!/bin/sh
# The next line restarts using nmrWish \
exec nmrWish "$0" -notk -- "$@"

set auto_path "[split $env(TCLPATH) :] $auto_path"
set ARGV      [concat $argv0 $argv]
set ARGC      [llength $ARGV]

if {[flagLoc $ARGV -help]} \
   {
    puts "Copy NMRPipe-Format Header from One File to Another:"
    puts " -in  inName  \[test.ft2\]  Input Source of Header."
    puts " -out outName \[None\]      Output Destination for Header."
    puts " -swap                      Byte-Swap Header Before Writing."
    puts " -auto                      Auto Mode for Byte-Swap Setting."
    exit 0
   }

set inName   test.ft2
set outName  None
set swapHdr  0
set autoFlag 0

getArgD $ARGV -in  inName
getArgD $ARGV -out outName

if {[flagLoc $ARGV -swap]}   {set swapHdr  1}
if {[flagLoc $ARGV -noswap]} {set swapHdr  0}

if {[flagLoc $ARGV -auto]}   {set autoFlag 1}
if {[flagLoc $ARGV -noauto]} {set autoFlag 0}

if {![strcasecmp $outName None]} {exit 0}

if {![file exists $inName]} \
   {
    puts stderr "CopyHdr Error Finding Input File $inName"
    exit 1    
   }

if {$autoFlag && [file exists $outName]} \
   {
    set srcState  [getDataSwapState $inName]
    set destState [getDataSwapState $outName]

    if {$srcState >= 0 && $destState >= 0 && $srcState != $destState} \
       {
        set swapHdr 1
       }
   }

if {![file exists $outName]} \
   {
    set thisUnit [sysOpen $outName w]
    sysClose $thisUnit
   }

set error [rdFDATA $inName fdataSrc]

if {$error} \
   {
    puts stderr "CopyHdr Error Reading Header from Input File $inName"
    exit 1    
   }

if {$swapHdr} {swapHdr $fdataSrc}

set error [wrFDATA $outName $fdataSrc]

if {$error} \
   {
    puts stderr "CopyHdr Error Writing Header to Output File $outName"
    exit 1    
   }

exit 0
