#!/bin/sh
# The next line restarts using nmrWish \
exec nmrWish "$0" -- "$@"

set auto_path    "[split $env(TCLPATH) :] $auto_path"
set ARGV         [concat $argv0 $argv]
set ARGC         [llength $ARGV]

#
#---------------------------------------------------------

set inName None
set frame  500

if {[flagLoc $ARGV -help]} \
   {
    puts "$argv0: convert DC table to XPLOR format."
    puts " -in    inName  \[None\]  DC Format Dipolar Couplings."
    puts " -frame frameID \[500\]   XPLOR Tensor Frame ID (500 or 501)."
    exit 0
   }

getArgD $ARGV -in    inName
getArgD $ARGV -frame frame

if {"$inName" == "None"} {exit 0}

#
#---------------------------------------------------------

gdbInit
gdbCreate dBase

set dTab  [gdbRead table -in $inName]
set entry [gdbFirst $dTab]

while {$entry} \
   {
    set resIDI [gdbGet $entry RESID_I]
    set resIDJ [gdbGet $entry RESID_J]
    set atomI  [gdbGet $entry ATOMNAME_I]
    set atomJ  [gdbGet $entry ATOMNAME_J]

    set d      [gdbGet $entry D]
    set dd     [gdbGet $entry DD]
    
    puts [format "assign \( resid %5d and name %4s\)" $frame OO]
    puts [format "       \( resid %5d and name %4s\)" $frame Z]
    puts [format "       \( resid %5d and name %4s\)" $frame X]
    puts [format "       \( resid %5d and name %4s\)" $frame Y]
    puts [format "       \( resid %5d and name %4s\)" $resIDI $atomI]
    puts [format "       \( resid %5d and name %4s\) %7.4f %7.4f %7.4f\n" \
                         $resIDJ $atomJ $d $dd $dd]

    set entry [gdbNext $entry]
   }

exit 0
