#!/bin/sh
# The next line restarts using nmrWish \
exec nmrWish "$0" -- "$@"
 
set auto_path    "[split $env(TCLPATH) :] $auto_path"
set ARGV         [concat $argv0 $argv]
set ARGC         [llength $ARGV]

#
# Do to:
#  adjust pk tol for data size.
 
if {[flagLoc $ARGV -help]} \
{
puts "Auto ND Convert, Process, Peak Detect, and Plot;"
puts "to be Executed in the Spectral Data Directory."
puts " -type      expType \[NMR\]         Canonical Experiment Name."
puts "Window Function: (Use -x -y -z -a):"
puts " -xSOL      solMode \[None\]        Solvent Correction (SOL POLY None)."
puts " -xEM       emHz    \[0.0\]         EM Line Broaden, Hz."
puts " -xGM       gmHz    \[0.0\]         GM Line Broaden, Hz."
puts " -xAPOD     apodFN  \[SP\]          Window Function Name."
puts " -xQ1       apodQ1  \[0.50\]        Apodize Parameter Q1."
puts " -xQ2       apodQ2  \[0.95\]        Apodize Parameter Q2."
puts " -xQ3       apodQ3  \[1\]           Apodize Parameter Q3."
puts "Phase Correction:"
puts " -xP0       p0      \[0.0\]         P0 Phase Correction."
puts " -xP1       p1      \[0.0\]         P1 Phase Correction."
puts "Zero Filling (Use -x -y -z -a):"
puts " -xZFMode   zfMode  \[Count\]       ZF Mode: Count Size Pad Square None."
puts " -xZF       zfVal   \[Auto\]        Zero Fill Value (Depends on Mode)." 
puts " -xZFAuto                         ZF Round Size to Power of 2 (Default)."
puts " -xZFNoAuto                       ZF Does Not Round Size to Power of 2."
puts "Region Extraction and Shift (Use -x -y -z -a):"
puts " -x1EXT     extX1   \[0%\]          Extract Regsion Start."
puts " -xnEXT     extXN   \[100%\]        Extract Region End."
puts " -xCS       clsX    \[0\]           Circular Left Shift."
puts "Spectral Noise Estimate:"
puts " -noise   sigma  \[Auto\]         Noise Estimate."
puts " -thresh  thresh \[Auto\]         Peak Detection Threshold."
puts " -mult    nMult  \[7.0\]          Noise Factor for Threshold."
puts "File Name Specification:"
puts " -dir     dirName   \[.\]          Default Directory."
puts " -in      rawFID    \[Auto\]       Spectrometer Binary Input Data."
puts " -parm    parmName  \[parmND.txt\] Parameter Settings File." 
puts "Output Scripts Created:"
puts " -conv  convScript \[fid.com\]     NMRPipe Conversion Script Output."
puts " -proc  procScript \[ft.com\]      NMRPipe Processing Script Output."
puts " -log   logName    \[ezProc.log\]  Log File."
puts "Generation of Title from Directory Name:"
puts " -tChar sChar      \[_\]           Title Seperator Character." 
puts " -tHead hN         \[0\]           Head Elements to Skip." 
puts " -tTail tN         \[1\]           Tail Elements to Skip." 
puts "Optional Output (Use 'None' for No Output):"
puts " -tab  tabName    \[test.tab\]      NMRPipe Peak Table Output."
puts " -ps   psName     \[test.ps\]       NMRPipe PostScript Output."
puts "Special Arguments:"
puts " -clean                   Delete Existing Output Files and Exit."
puts " -auto                    Automatically Process Input."
puts " -notk                    No Graphical Interface."
exit 1
}

exit
