#!/bin/sh
# The next line restarts using nmrWish \
exec nmrWish "$0" -notk -- "$@"

set auto_path "[split $env(TCLPATH) :] $auto_path"
set ARGV      [concat $argv0 $argv]
set ARGC      [llength $ARGV]

if {[flagLoc $ARGV -help]} \
   {
    puts stderr "Extract DATA and Values from a Screening Score Table."
    puts stderr " -in       inName"
    puts stderr " -data     dataKeyList"
    puts stderr " -val      valNameList"
    puts stderr " -dataLast dataKeyList"
    exit 1
   }

set inName       None
set dataKeyList  ""
set dataKeyList2 ""
set valNameList  "" 

getArgD     $ARGV -in       inName
getListArgD $ARGV -data     dataKeyList
getListArgD $ARGV -dataLast dataKeyList2
getListArgD $ARGV -val      valNameList

if {![strcasecmp $inName None]} {exit 0}
if {![file exists $inName]}     {exit 0}

set t [gdbRead table -in $inName]

getKeyData $t dInfo

set n 0

foreach key $dataKeyList \
   {
    if {$n} {puts -nonewline " "} 

    if {[info exists dInfo($key)]} \
       {
        puts -nonewline [lindex $dInfo($key) 0] 
        incr n
       } \
    else \
       {
        puts -nonewline "None"
        incr n
       }
   }

foreach pName $valNameList \
   {
    set eList [gdbSelect -from $t -cond "!strcasecmp( PNAME, '$pName' )"]

    if {[llength $eList]} \
       {
        foreach e $eList \
           {
            if {$n} {puts -nonewline " "} 
            puts -nonewline [format %12s [gdbGet $e VAL]]
            incr n
           }
       } \
    else \
       {
        puts -nonewline "None"
        incr n
       }
   }

foreach key $dataKeyList2 \
   {
    if {$n} {puts -nonewline " "}

    if {[info exists dInfo($key)]} \
       {
        puts -nonewline [lindex $dInfo($key) 0]
        incr n
       } \
    else \
       {
        puts -nonewline "None"
        incr n
       }
   }

exit 0
