#!/bin/sh
# The next line restarts using nmrWish \
exec nmrWish "$0" -notk -- "$@"

set auto_path "[split $env(TCLPATH) :] $auto_path"
set ARGV      [concat $argv0 $argv]
set ARGC      [llength $ARGV]
  
if {[flagLoc $ARGV -help]} \
   {
    puts "Report Number of Threads Supported by Hardware:"
    puts " -f f \[1.0\]  Multiply Reported Number of Threads by Factor f."
    exit 0
   }

set f 1.0

getArgD $ARGV -f f

set nThreads [getNamedItem threadCount [sysInfo]]

if {![string is integer $nThreads]} {set nThreads 1}

if {![strcmp $f 1] || ![strcmp $f 1.0] || $f == 1.0} \
   {
    set n $nThreads
   } \
else \
   {
    set n [expr int(0.5 + $f*$nThreads)]
   }

if {$n < 1} {set n 1}
if {$n > $nThreads} {set n $nThreads}

puts -nonewline $n

exit 0
