#!/bin/csh

if (`flagLoc $argv -help` || $#argv < 2) then
   echo "Extract Size A Dimension Would Have After Zero Fill:"
   echo " getZFSize.com inName axisCode zfArgs"
   echo "Zero Fill Arguments Allowed:"
   echo " -zf   zfCount"
   echo " -pad  padSize"
   echo " -size finalSize"
   echo " -auto"
   echo "Example:"
   echo " getZFSize.com test.fid CUR_YDIM -zf 2 -auto"
   exit 0
endif

set thisName = (`nmrPrintf $argv[1] 1 1`)

if (!(-e $thisName)) then
   nmrPrintf 0
   exit 0
endif

set zfArgs = "$argv"


set tdSize = `getParm -in $thisName -dim $argv[2] -parm NDAPOD -fmt %.0f`
set zfSize = $tdSize

if ($#argv == 3) then
   if (`string csame $argv[3] None`) then
      nmrPrintf %s $zfSize
      exit 0
   endif
endif

if (`flagLoc $zfArgs -size`) then
   set zfSize = (`getArgD $zfArgs -size $zfSize`)
else if (`flagLoc $zfArgs -pad`) then
   set padSize = (`getArgD $zfArgs -pad $tdSize`)
   set zfSize  = (`IMATH "$tdSize + $padSize"`)
else
   if (`flagLoc $zfArgs -zf`) then
      set zfCount = (`getArgD $zfArgs -zf 1`)
   else
      set zfCount = 1
   endif

   @ i = 0

   while ($i < $zfCount)
      set zfSize = (`IMATH "2*$zfSize"`)
      @ i++
   end
endif

if (`flagLoc $zfArgs -auto`) then
   set nn = 1

   while( $nn < $zfSize )
      set nn  = (`IMATH "2*$nn"`)
   end

   set zfSize = $nn
endif

nmrPrintf %s $zfSize

exit 0
