#!/bin/csh

if ($#argv != 3) then
   echo "Create a 2D Synthetic Images"
   echo "  Euclidean distance between each pixel and selected spectra."
   echo "  Produces synthetic image series dist%03d.dat"
   echo "  Produces sythetic summary image summary.dat"
   echo "Usage:"
   echo "  imClassify.com imageTemplate 1dTemplate 1dCount"
   echo "Example:"
   echo "  imClassify.com lsoap1_abs/ir%03d.dat class%03d.dat 4"
   exit 0
endif

set nameND   = $1
set name1D   = $2 
set count    = $3
set nameList = ()

@ i = 0

while ($i < $count)
   @ i++

   set inName   = (`nmrPrintf $name1D      $i`)
   set outName  = (`nmrPrintf dist%03d.dat $i`)
   set nameList = ($nameList $outName)

   imDistance.com $nameND $inName $outName

   echo "Created synthetic image $outName"
end

imClassify $nameList summary.dat

echo "Created synthetic image summary.dat"
sleep 10
