#!/bin/csh

if ($#argv != 3) then
   echo "Create a 2D Synthetic Image;"
   echo "  Euclidean distance between each pixel and one selected spectrum."
   echo "Usage:"
   echo "  imDist.com imageTemplate 1dName outName"
   echo "Examples:"
   echo "  imDist.com lsoap1_abs/ir%03d.dat soap_1d.dat   soap.dist.dat"
   echo "  imDist.com lsoap1_abs/ir%03d.dat water_1d.dat  water.dist.dat"
   echo "  imDist.com lsoap1_abs/ir%03d.dat air_1d.dat    air.dist.dat"
   echo " "
   echo "  imClassify air.dist.dat water.dist.dat soap.dist.dat class.dat"
   exit 0
endif

set namep = (`nmrPrintf $1 1`)

xyz2pipe -in $1 -z \
| nmrPipe -fn MAC -macro $NMRTXT/imDist.M           \
          -str name1 $2 planeName $namep simName $3 \
          -noWr -tty -outHdr none -verb

nmrPipe -in $3 -out $3 -inPlace -fn IMG -median
