#!/bin/csh

if (`flagLoc $argv -help`) then
   echo "Convert NMRPipe-format time-domain data to Bruker ser format:"
   echo " -in inName   \[test.fid\]      NMRPipe-format Input File or Template."
   echo " -out outName \[pipe_ser\]      Bruker ser format output."
   echo "Byte Swap Arguments (Use Only One):"
   echo "  -aswap    (Default)"
   echo "  -noaswap"
   echo "  -swap"
   echo "  -noswap"
   exit 0
endif

set inName   = (`getArgD $argv -in  test.fid`)
set outName  = (`getArgD $argv -out pipe_ser`)
set swapMode = aswap

if (`flagLoc $argv -aswap`) then
   set swapMode aswap
endif

if (`flagLoc $argv -noaswap`) then
   set swapMode noaswap
endif

if (`flagLoc $argv -swap`) then
   set swapMode swap
endif

if (`flagLoc $argv -noswap`) then
   set swapMode noswap
endif

set thisName = (`nmrPrintf $inName 1 1`)

if (`string match $thisName $inName`) then
   nmrPipe -in $inName -fn SHUF -ri2c -out $outName -ov -outHdr None 
   byteAdjust -f2i -in $outName -out $outName -$swapMode -ov
else
   xyz2pipe -in $inName | nmrPipe -fn SHUF -ri2c -out $outName -ov -outHdr None 
   byteAdjust -f2i -in $outName -out $outName -$swapMode -ov
endif


