
if test $# != 2
then
   echo "Fourier Transform an IR spectral image in the NMRPipe format."
   echo "Usage:"
   echo "  procIR.ksh rawTemplate ftTemplate"
   echo "Examples:"
   echo "  procIR.ksh raw/soap%03d.dat ft/soap%03d.dat"
   echo "  procIR.ksh raw/air%03d.dat  ft/air%03d.dat"
   exit 0
fi

echo "Finding signal maximum by median in $1 ..."

loc=$(maxPlane.ksh $1)
echo "... maximum at plane $loc."

loc=[2*$loc]

echo "Processing $1 ..."

xyz2pipe -in $1 -z                \
| nmrPipe -fn CBF                 \
| nmrPipe -fn ZF -zf 1 -auto      \
| nmrPipe -fn TRI -loc $loc       \
| nmrPipe -fn FT  -real -verb     \
| nmrPipe -fn MC                  \
| pipe2xyz -z -out $2

echo "... created transformed result $2"
