#!/bin/csh

if (`flagLoc -help` || $#argv < 3) then
   echo "Apply sethdr to set header parameters of NMRPipe File or Series:"
   echo " sethdr.com inName sethdrOptions"
   echo "Examples:"
   echo " sethdr.com relax.ft2 -tau 200.0"
   echo " sethdr.com ft/test%03d.ft2 -title COSY"
   exit 0
endif

set inName = $argv[1]
set oList  = ($argv[2-])

@ fmtCount = (`echo $inName | sed -e 's/\(.\)/\1\n/g' | grep % | wc -l`)

if ($fmtCount == 1) then
   @ iz = 0

   while ($iz <= 99999)
      @ iz++
      set thisName = (`nmrPrintf $inName $iz`)

      if (-e $thisName) then
         sethdr $thisName $oList
      else
         break
      endif
   end
else if ($fmtCount == 2) then
   @ ia = 0

   while ($ia <= 99999) 
      @ ia++
      @ iz = 0

      set thisName = (`nmrPrintf $inName $ia 1`)

      if (!(-e $thisName)) then
         break
      endif

      while ($iz <= 99999) 
         @ iz++
         set thisName = (`nmrPrintf $inName $ia $iz`)

         if (-e $thisName) then
            sethdr $thisName $oList
         else
            break
         endif
      end
   end
else
   set thisName = (`nmrPrintf $inName 1 1`)

   if (-e $thisName) then
      sethdr $thisName $oList
   else
      echo "sethdr.com Error finding input $thisName"
      exit 1
   endif
endif

exit 0
