#!/bin/sh
# The next line restarts using nmrWish \
exec nmrWish "$0" -notk -- "$@"

set auto_path "[split $env(TCLPATH) :] $auto_path"
set ARGV      [concat $argv0 $argv]
set ARGC      [llength $ARGV]
  
if {[flagLoc $ARGV -help]} \
   {
    puts "Show Progress of RNMRTK MaxEnt Calculation from Log Output:"
    puts " msa2d t1 t2 ./parm.txt > showMaxentProgress.tcl`
    exit 0
   }

set prevPlane      -1
set currentPlane    0
set Cnew          0.0 
set Snew          0.0 
set maxLoop         0

while {[gets stdin origLine] >= 0} \
   {
    if {$prevPlane != $currentPlane} \
       {
        set loop    0
        set iter    0
        set plane   0
        set testVal 0.0 
        set lambda  0.0 

        set prevPlane $currentPlane
       }

    set n [llength $origLine]
    if {!$n} continue

    set nC   [string length $origLine]
    set line ""

    for {set i 0} {$i < $nC} {incr i} \
       {
        set c [string index $origLine $i]
     
        if {[strcmp $c "="]} \
           {
            append line $c
           } \
        else \
           {
            append line " $c "
           }
       }

    for {set i 1} {$i <= $n} {incr i} {set val($i) [lindex $line [expr $i - 1]]}

    if {$n == 2 && ![strcasecmp $val(1) Loop] && [string is int [lindex $line 1]]} \
       {
        set loop [lindex $line 1]
        if {$loop > $maxLoop} {set maxLoop $loop}
       } \
    elseif {$n == 6 && ![strcasecmp $val(1) Cnew]} \
       {
        if {[string is double $val(3)]} {set Cnew $val(3)}
        if {![strcasecmp $val(4) Snew] && [string is double $val(6)]} {set Snew $val(6)}
       } \
    elseif {$n == 6 && ![strcasecmp $val(1) Test] && ![strcasecmp $val(4) Lambda]} \
       {
        set testVal $val(3)
        set lambda  $val(6)

        incr currentPlane

        puts -nonewline [format " %4d Loops Max: %3d Current: %3d Chi: %.3e S: % .3e Lambda: %.5f\015" $currentPlane $maxLoop $loop $Cnew $Snew $lambda]

        flush stdout
       }
   }

puts ""
puts ""

exit 0

