#!/bin/csh

if (`flagLoc $argv -help`) then
   echo "Display the 1D Data for a Given Pool:"
   echo " -dir    dirName   scorePool"
   echo " -prefix pName     ext"
   echo " -verb"
   exit 0
endif

set vFlag = 0

set dirName = (`getArgD $argv -dir    scorePool`)
set prefix  = (`getArgD $argv -prefix ext`)

if (`flagLoc $argv -verb`) then
   set vFlag = 1
endif

if (`flagLoc $argv -noverb`) then
   set vFlag = 0
endif

if (!(-d $dirName)) then
   echo "ShowPool1D Error Finding Input Directory $dirName"
endif

set fList = ""

foreach j (blank screen screen_dif blank_deco screen_deco screen_deco_dif)
   if (-e $dirName/${prefix}_$j.ft1) then
      set fList = ($fList $dirName/${prefix}_$j.ft1)
   else
      echo Missing $dirName/${prefix}_$j.ft1
   endif
end

set i = 1
set n = 0

while ($i < 999)
   set j = _c$i

   if (-e $dirName/$prefix$j.ft1) then
      set fList = ($fList $dirName/$prefix$j.ft1)
      @ n++
   else
      break
   endif

   @ i++
end

if ($vFlag != 0) then
   echo "Found $n Files: $dirName/${prefix}_c%d.ft1"
endif

set i = 1
set n = 0

while ($i < 999)
   set j = _c${i}_dscale

   if (-e $dirName/$prefix$j.ft1) then
      set fList = ($fList $dirName/$prefix$j.ft1)
      @ n++
   else
      break
   endif

   @ i++
end

if ($vFlag != 0) then
   echo "Found $n Files: $dirName/${prefix}_c%d_dscale.ft1"
endif

set i = 1
set i = 1
set n = 0

while ($i < 999)
   set j = _c${i}_dif

   if (-e $dirName/$prefix$j.ft1) then
      set fList = ($fList $dirName/$prefix$j.ft1)
      @ n++
   else
      break
   endif

   @ i++
end

if ($vFlag != 0) then
   echo "Found $n Files: $dirName/${prefix}_c%d_dif.ft1"
endif

foreach j (dark mask)
   if (-e $dirName/${prefix}_blank_$j.ft1) then
      set fList = ($fList $dirName/${prefix}_blank_$j.ft1)
   else
      echo Missing $dirName/${prefix}_blank_$j.ft1
   endif

  if (-e $dirName/${prefix}_screen_$j.ft1) then
      set fList = ($fList $dirName/${prefix}_screen_$j.ft1)
   else
      echo Missing $dirName/${prefix}_screen_$j.ft1
   endif

   set i = 1
   set n = 0

   while ($i < 999)
      set k = _c${i}_$j

      if (-e $dirName/$prefix$k.ft1) then
         set fList = ($fList $dirName/$prefix$k.ft1)
         @ n++
      else
         break
      endif
  
      @ i++
   end

   if ($vFlag != 0) then
      echo "Found $n Files: $dirName/${prefix}_c%d_$j.ft1"
   endif
end

if (-e $dirName/${prefix}_screen_dif_mask.ft1) then
   set fList = ($fList $dirName/${prefix}_screen_dif_mask.ft1)
else
   echo Missing $dirName/${prefix}_screen_dif_mask.ft1
endif

if (-e $dirName/${prefix}_dark.ft1) then
   set fList = ($fList $dirName/${prefix}_dark.ft1)
else
   echo Missing $dirName/${prefix}_dark.ft1
endif

if ($vFlag != 0) then
   set i = 1

   foreach f ($fList) 
      echo $i $f
      @ i++
   end
endif

setenv NMRPIPE_BIGFONT   "-adobe-helvetica-bold-r-*-*-*-140-*-*-*-*-*-*"
setenv NMRPIPE_SMALLFONT "-adobe-helvetica-bold-r-*-*-*-140-*-*-*-*-*-*"

specView.tcl $* -lw1d 2 -extended -xSize 700 -ySize 800 -nousePCA -lbw 40 -in $fList -useFullName -listByFile -titleFont "$NMRPIPE_SMALLFONT" -noverb

