#!/bin/csh

if (`flagLoc $argv -help` || $#argv != 2) then
   echo "Save and update history file for strip viewing:"
   echo " $0 histFileName backupDirName"
   exit 0
endif

set histName = $argv[1]
set histDir  = $argv[2]

if (!(-e $histDir)) then
   mkdir $histDir 
endif

if (-e $histName) then
   set dInfo = (`date +%Y%m%d_%H%M`)
   set dName = $histDir/$dInfo.dat 

   echo Saving history file $histName as $dName
   cp h.dat $dName

  set aList = (`fgrep -n ass $histName | fgrep count | tr ' ' '_'`) 
  set n     = $#aList

  if ($n != 0) then
     set aInfo = (`echo $aList[$n] | tr ':' ' '`)
     set n = $#aInfo

     if ($n > 1) then
        echo Extracting last history entry starting from line $aInfo[1]
        tail -n +$aInfo[1] $histName > $dInfo.tmp
        mv $dInfo.tmp $histName
     endif
  endif
endif

