#!/bin/csh

if (`flagLoc $argv -help`) then
   echo "Form Sum of NMRPipe-Format Data:"
   echo " -in inList   [None]     List of Input Files."
   echo " -out outName [sum.dat]  Output Name."
   echo " -avg                    Form Average Instead of Sum."
   echo "Notes:"
   echo " 1. All input files should have the same sizes."
   exit 0
endif

set inList  = (`getListArgD $argv -in -- None`)
set outName = (`getArgD     $argv -out   sum.dat`)

if (`flagLoc $argv -avg`) then
   @ avgFlag = 1
else
   @ avgFlag = 0
endif

@ n = 0

foreach f ($inList)
   if (!(-e $f)) then
      echo "sumNMR Error Finding Input File $f"
      exit 1
   endif

   @ n++
end

if ($n == 0) then
   exit 0
endif

nmrPipe -in $inList[1] -out $outName -ov -fn SET -c 0.0

foreach f ($inList)
   addNMR -in1 $outName -in2 $f -out $outName -add
end

if ($avgFlag) then
   nmrPipe -in $outName -out $outName -inPlace -fn MULT -c $n -inv
endif

exit 0
