#!/bin/sh
# The next line restarts using nmrWish \
exec nmrWish "$0" -notk -- "$@"

set auto_path    "[split $env(TCLPATH) :] $auto_path"
set ARGV         [concat $argv0 $argv]
set ARGC         [llength $ARGV]

if {[flagLoc $ARGV -help]} \
   {
    puts stderr "txt2bin.tcl: Convert Numerical Text Data to Binary Stream."
    puts stderr " Usage: txt2bin.tcl \[-type t\] < textData > binaryData"
    puts stderr " Types:"
    puts stderr "  float (Default)"
    puts stderr "  int     uint"
    puts stderr "  short   ushort"
    puts stderr "  char    uchar"
    puts stderr "  double" 
    exit 1
   }

set inUnit   stdin
set outUnit  1 
set type     float

getArgD $ARGV -type type

set valList  [read $inUnit]
set valCount [llength $valList]
set rdata    [sysMalloc $valCount $type]
set i        0

puts stderr "Read $valCount text values ..."

foreach val $valList \
   {
    setPtrVal $rdata $i $val
    incr i
   }

sysWrite $outUnit $rdata $valCount

exit
