#!/bin/csh -f

#
# NMRPipe System Environment script, Mon Sep 26 17:40:51 EDT 2016.


#
# Standard Expiration Override:
# setenv NMR_CONT CORRECT_ALL

#
# NMRPipe I/O Optimization.
# These settings may improve NMRPipe pipeline performance:

setenv NMR_IO_TIMEOUT 0
setenv NMR_IO_SELECT  0
setenv NMR_AUTOSWAP   1

#
# NMRPipe Plugins:
setenv NMR_PLUGIN_FN    SMILE
setenv NMR_PLUGIN_EXE   nusPipe
setenv NMR_PLUGIN_INFO  "-nDim -sample sName ... MD NUS Reconstruction"

#
# Useful definitions:
alias u      'chmod a+rx *.com *.tcl'

#set   history = 256
#alias h      'history'
#alias rm     'rm -i'
#alias cd     'cd \!*; set prompt = "$cwd% "'
#alias dirs   'ls -l | grep -E -e ^d'
#alias links  'ls -l | grep -E -e ^l'

if ($?MANPATH) then
   setenv MANPATH /vnmr/nmrpipe/man:/usr/share/man:${MANPATH}
else
   setenv MANPATH /vnmr/nmrpipe/man:/usr/share/man
endif

set path = (. /vnmr/nmrpipe/nmrbin.mac /vnmr/nmrpipe/com $path)


if ($?LD_LIBRARY_PATH) then
   setenv LD_LIBRARY_PATH /vnmr/nmrpipe/nmrbin.mac/lib:${LD_LIBRARY_PATH}
else
   setenv LD_LIBRARY_PATH /vnmr/nmrpipe/nmrbin.mac/lib
endif


if ($?DYLD_LIBRARY_PATH) then
   setenv DYLD_LIBRARY_PATH ${DYLD_LIBRARY_PATH}:${LD_LIBRARY_PATH}
else
   setenv DYLD_LIBRARY_PATH ${LD_LIBRARY_PATH}
endif

setenv LC_CTYPE C
setenv LC_ALL   C


if (!($?OPENWINHOME)) then
   if (-d /vnmr/nmrpipe/nmrbin.mac/openwin) then
      setenv OPENWINHOME /vnmr/nmrpipe/nmrbin.mac/openwin
   endif
endif


if ($?DISPLAY && !($?NMR_MACX11FIX)) then
    defaults write com.apple.x11 wm_ffm -bool true
    defaults write com.apple.x11 wm_click_through -bool true
    setenv NMR_MACX11FIX true
endif

setenv NMR_CHECKARGS   ALL
setenv NMR_FSCHECK     NO
setenv NMRBASE         /vnmr/nmrpipe
setenv NMRBINTYPE      mac
setenv NMRTXT          /vnmr/nmrpipe/nmrtxt
setenv NMRBIN          /vnmr/nmrpipe/nmrbin.mac
setenv TCLPATH         /vnmr/nmrpipe/com
setenv TALOS_DIR       /vnmr/nmrpipe/talos
setenv TALOSP_DIR      /vnmr/nmrpipe/talosplus
setenv TALOSN_DIR      /vnmr/nmrpipe/talosn
setenv SPARTAP_DIR     /vnmr/nmrpipe/spartaplus
setenv PROMEGA_DIR     /vnmr/nmrpipe/promega


setenv NMR_TCLTK8      TRUE
setenv TCL_LIBRARY     /vnmr/nmrpipe/nmrtcl/tcl8.4
setenv TK_LIBRARY      /vnmr/nmrpipe/nmrtcl/tk8.4
setenv BLT_LIBRARY     /vnmr/nmrpipe/nmrtcl/blt2.4
setenv NMRPIPE_TCL_LIB /vnmr/nmrpipe/nmrtcl/tcl8.4
setenv NMRPIPE_TK_LIB  /vnmr/nmrpipe/nmrtcl/tk8.4
setenv NMRPIPE_BLT_LIB /vnmr/nmrpipe/nmrtcl/blt2.4

# setenv NMRPIPE_SMALLFONT  "-adobe-helvetica-medium-r-*-*-*-100-*-*-*-*-*-*"
# setenv NMRPIPE_BIGFONT    "-adobe-helvetica-medium-r-*-*-*-180-*-*-*-*-*-*"
# setenv NMRPIPE_STDFONT    "-adobe-helvetica-medium-r-*-*-*-120-*-*-*-*-*-*"
# setenv NMRPIPE_BOLDFONT   "-adobe-helvetica-bold-r-*-*-*-120-*-*-*-*-*-*"
# setenv NMRPIPE_FIXEDFONT  "-*-courier-medium-r-*-*-*-120-*-*-*-*-*-*"
# setenv NMRPIPE_TYPINGFONT "-*-courier-medium-r-*-*-*-100-*-*-*-*-*-*"
# setenv NMRPIPE_AXISFONT   "-*-lucidatypewriter-bold-r-*-*-*-120-*-*-*-*-*-*"

