#!/bin/csh

if ($#argv != 1) then
    echo "Exchange Z-Axis and A-Axis of 4D Data:"
    echo "  $0 templateName"
    echo "Example:"
    echo "  $0 ft3/test%02d%03d.dat"
    exit 0
endif

set inTemplate = $1
set inName     = `nmrPrintf $inTemplate 1 1`
set zSize      = `getParm -in $inName -fmt %.0f -parm NDSIZE -dim CUR_ZDIM`
set aSize      = `getParm -in $inName -fmt %.0f -parm NDSIZE -dim CUR_ADIM`
set dZ         = `getParm -in $inName -fmt %.0f -parm FDDIMORDER3`
set dA         = `getParm -in $inName -fmt %.0f -parm FDDIMORDER4`

echo Z2A $inName $zSize $aSize $dZ $dA
echo Z2A Stage 1 of 2

@ ia = 1

while ($ia <= $aSize)
   nmrPrintf "$ia of $aSize\015"

   @ iz = 1

   while( $iz <= $zSize )
      set inName   = (`nmrPrintf $inTemplate     $ia $iz`)
      set outName  = (`nmrPrintf $inTemplate.new $iz $ia`)

      if (-e $inName) then
         mv $inName $outName

         sethdr $outName -zDIM $dA -aDIM $dZ -zN $aSize -aN $zSize
      endif

      @ iz++
   end

   @ ia++
end 

echo
echo Z2A Stage 2 of 2
@ ia = 1

while ($ia <= $aSize)
   nmrPrintf "$ia of $aSize\015"
   @ iz = 1

   while( $iz <= $zSize )
      set inName   = (`nmrPrintf $inTemplate.new $iz $ia`)
      set outName  = (`nmrPrintf $inTemplate     $iz $ia`)

      if (-e $inName) then
         mv $inName $outName
      endif

      @ iz++
   end

   @ ia++
end 

echo
