if (sliceCode < 1)
   {
    i = argTest( "-reg" );
    exit( 0 );
   };

if (sliceCode == 1)
   {
    float fR[size], fI[size];
    float bR[size], bI[size];
    
    ix1    = 0.05*size;
    ix2    = 0.10*size; 
    ix3    = 0.90*size;
    ix4    = 0.95*size; 

    if (argTest( "-reg" ))
       {
        ix1 = spec2pnt( fdata, CUR_XDIM, psX1 );
        ix2 = spec2pnt( fdata, CUR_XDIM, psX2 );
        ix1 = spec2pnt( fdata, CUR_XDIM, psX3 );
        ix2 = spec2pnt( fdata, CUR_XDIM, psX4 );
       };

    ix1 = integer( ix1 ) - 1;
    ix2 = integer( ix2 ) - 1;
    ix3 = integer( ix3 ) - 1;
    ix4 = integer( ix4 ) - 1;

    if (ix1 > ix2)
       {
        itemp = ix1;
        ix1   = ix2;
        ix2   = itemp;
       };

    if (ix1 < 0)        {ix1 = 0;};
    if (ix2 > size - 1) {ix2 = size - 1;};

    if (ix3 > ix4)
       {
        itemp = ix3;
        ix3   = ix4;
        ix4   = itemp;
       };

    if (ix3 < 0)        {ix3 = 0;};
    if (ix4 > size - 1) {ix4 = size - 1;};

    bestVal = 1e+16;
    bestP0  = 0.0;
    pFirst  = -180;
    pLast   =  180;

    nLeft  = 1 + ix2 - ix1;
    nRight = 1 + ix4 - ix3;
    length = nLeft + nRight;

    (void) vvCopyOff( bR, rdata, nLeft,  0,     ix1 );
    (void) vvCopyOff( bI, idata, nLeft,  0,     ix1 );
    (void) vvCopyOff( bR, rdata, nRight, nLeft, ix3 );
    (void) vvCopyOff( bI, idata, nRight, nLeft, ix3 );

    for( p0 = pFirst; p0 <= pLast; p0 += p0Step )
       {
        (void) vvCopy( fR, bR, length );
        (void) vvCopy( fI, bI, length );
        (void) phase( fR, fI, length, p0, xP1 );
    
        thisVal = vRMS( fR, length );
    
        if (thisVal < bestVal)
           {
            bestVal = thisVal;
            bestP0  = p0;
           };
       }

    (void) vvCopy( fR, rdata, size );
    (void) vvCopy( fI, idata, size );
    (void) phase( fR, fI, size, bestP0, xP1 );
    
    thisMin = vMin( fR, size );
    thisMax = vMax( fR, size );

    if (abs(thisMin) > abs(thisMax))
       {
        bestP0 += 180.0;
       };
   };

(void) phase( rdata, idata, size, bestP0, xP1 );

newP0 = bestP0 + getParm( fdata, NDP0, CUR_XDIM );

(void) setParm( fdata, NDP0, newP0, CUR_XDIM );
 
