#!/bin/csh

#
# Creates apodization files for lineshape modeling.

if ($#argv != 7) then
   echo Create SP Apodize File for NLINLS.
   echo Usage: $0 timeSize freqSize outName spOFF spEND spEXP c 
   echo Example: $0 77 128 apod.x 0.5 0.98 1 0.5
else
   simTD   -xt $1 -yt 1 -off 1.0                 | \
   nmrPipe -fn SP -off $4 -end $5 -pow $6 -c $7  | \
   nmrPipe -fn ZF -size $2 -out $3 
   echo Created SP Apodize File $3
endif
