/***/
/* bruk_inv_ranceY2.M: Rance-mode inverse gradient shuffling for Y-Axis. (Bruker)
/***/

/* Process only every pair of complex rows, one real, one imag: */

if (!(sliceCode % 2))
   {
    exit( 0 );
   };

float bufA[size], bufB[size], bufC[size], bufD[size];
float buf1[size], buf2[size], buf3[size], buf4[size];

(void) dReadB( inUnit, buf1, wordLen*size );
(void) dReadB( inUnit, buf2, wordLen*size );
(void) dReadB( inUnit, buf3, wordLen*size );
(void) dReadB( inUnit, buf4, wordLen*size );

(void) vNeg( buf3, size );

(void) vvCopy( bufA, buf1, size );
(void) vvAdd( bufA, buf4, size );

(void) vvCopy( bufB, buf2, size );
(void) vvAdd( bufB, buf3, size );

(void) vvCopy( bufC, buf4, size );
(void) vvSub( bufC, buf1, size );

(void) vvCopy( bufD, buf3, size );
(void) vvSub( bufD, buf2, size );

(void) vsMult( bufA, size, 0.5 );
(void) vsMult( bufB, size, 0.5 );
(void) vsMult( bufC, size, 0.5 );
(void) vsMult( bufD, size, 0.5 );

(void) dWrite( outUnit, bufA, wordLen*size );
(void) dWrite( outUnit, bufB, wordLen*size );
(void) dWrite( outUnit, bufC, wordLen*size );
(void) dWrite( outUnit, bufD, wordLen*size );
