amp1   = pList[0];
alpha1 = pList[1];
amp2   = pList[2];
alpha2 = pList[3];

if (alpha1 < 0.0001)
   {
    alpha1 = 0.0001; /* Prevent divide by zero. */
   };

if (alpha2 < 0.0001)
   {
    alpha2 = 0.0001; /* Prevent divide by zero. */
   };

for( i = 0; i < xyCount; i++ )
   {
    msec     = xList[i];
    yList[i] = amp1*exp( -msec/alpha1 ) + amp2*exp( -msec/alpha2 );
   }

if (reportFlag)
   {
    char outName[80];

    (void) sprintf( outName, "gnu/fit%.0f.gnu", id );

    fd = dOpen( outName, "w" );

    (void) fprintf( fd, "amp1   = %f\n", amp1 );
    (void) fprintf( fd, "alpha1 = %f\n", alpha1 );
    (void) fprintf( fd, "amp2   = %f\n", amp2 );
    (void) fprintf( fd, "alpha2 = %f\n", alpha2 );
    (void) fprintf( fd, "s(x)  = amp1*exp(-x/alpha1) + amp2*exp(-x/alpha2)\n" );
 
    (void) fprintf( fd, "set title \"ID: %.0f", id );
    (void) fprintf( fd, " Amp1: %.4f +/- %.4f", amp1, eList[0] ); 
    (void) fprintf( fd, " Alpha1: %.3f +/- %.3f", alpha1, eList[1] ); 
    (void) fprintf( fd, " Amp2: %.4f +/- %.4f", amp2, eList[2] ); 
    (void) fprintf( fd, " Alpha2: %.3f +/- %.3f\"", alpha2, eList[3] ); 
    (void) fprintf( fd, "\n" );

    (void) fprintf( fd, "set xlabel \"msec\"\n" );
    (void) fprintf( fd, "set yrange [0:1.1]\n" );
    (void) fprintf( fd, "set term postscript\n" );
    (void) fprintf( fd, "set output \"plot/fit%.0f.ps\"\n", id );

    (void) fprintf( fd, "plot \"txt/fit%.0f.txt\" w points,", id );
    (void) fprintf( fd, " s(x) title \"a1*exp(-t/alpha1)+a2*exp(-t/alpha2)\" w lines\n" );

    (void) dClose( fd );
   };
