#!/bin/sh

if test $# != 2
then
   echo Extract XZ plane from 3D or 4D hypercomplex FID:
   echo " Usage:      " $0 inTemplate outName
   echo " 3D Example: " $0 fid/test%03d.fid xz.fid
   echo " 4D Example: " $0 fid/test%02d%03d.fid xz.fid
   exit 1
fi

#
# Convert %d template format to %f float format required by Macro:
 
inName=$(echo $1|sed -e '/%02d/s/%02d/%02.0f/g'|sed -e '/%03d/s/%03d/%03.0f/g')
outName=$2

M $NMRTXT/xz.M -str inName $inName outName $outName -quit
