#!/bin/csh

#
# Process a Bruker AM States-Mode 2D:
#  "FT -bruk" is used to transform Sequential Detection Mode.
#  "POLY -time" is used for solvent subtraction.
#  "REV" (reverse) was needed in this case for the indirect axis.
#
#  Separate Polynomial baseline corrections are used for the
#  left and right halfs of the data after 2D transform.

nmrPipe -in test.fid \
| nmrPipe -fn POLY -time -ord 6               \
| nmrPipe -fn SP -off 0.5 -pow 2 -c 0.5       \
| nmrPipe -fn FT -bruk                        \
| nmrPipe -fn PS -p0 -14.2 -p1 13.2 -di -verb \
| nmrPipe -fn TP                              \
| nmrPipe -fn SP -off 0.5 -pow 2 -c 0.5       \
| nmrPipe -fn ZF -auto                        \
| nmrPipe -fn FT                              \
| nmrPipe -fn REV                             \
| nmrPipe -fn PS -p0 14.0 -p1 -24.0 -di -verb \
| nmrPipe -fn TP                              \
| nmrPipe -fn POLY -auto -xn 50%              \
| nmrPipe -fn POLY -auto -x1 50%              \
   -out test.ft2 -verb -ov
