

bestRMS   = 1.0e+16;
bestShift = integer(sMin);

if (xyCount < aDataCount)
   {
    minCount = xyCount;
    maxCount = aDataCount;
   }
else
   {
    minCount = aDataCount;
    maxCount = xyCount;
   };

float rBuff[maxCount], qBuff[maxCount];

for( iShift = sMin; iShift <= sMax; iShift += sStep )
   {
    thisShift = integer(iShift);

    (void) vvCopy( rBuff, aData, minCount );
    (void) vvCopy( qBuff, dList, minCount );

    (void) clShift( rBuff, minCount, thisShift, 0 );
    (void) vsMult( qBuff, minCount, pList[0] );
    (void) vvSub( rBuff, qBuff, minCount );

    thisRMS = vRMS( rBuff, minCount );

    if (thisRMS < bestRMS)
       {
        bestRMS = thisRMS;
        bestShift = thisShift;
       };
   }
    
(void) fprintf( "Shift: %f Scale: %f RMS: %e\n", bestShift, pList[0], bestRMS );

(void) vvCopy( yList, aData, minCount );
(void) clShift( yList, minCount, bestShift, 0 );
(void) vsMult( yList, minCount, pList[0] );

if (reportFlag)
   {
    (void) printf( "lshift %.0f scale %.4e RMS %.4e\n", bestShift, pList[0], bestRMS );
   };
