
if (!(sliceCode % 2))
   {
    exit( 0 );
   };

float refBuff[size], thisBuff[size], workBuff[size];

sMax      = integer(size/4);
sMin      = -sMax;
sStep     = 1;

bestRMS   = 1.0e+16;
bestShift = sMin;

(void) dReadB( inUnit, refBuff,  wordLen*size );
(void) dReadB( inUnit, thisBuff, wordLen*size );

for( iShift = sMin; iShift <= sMax; iShift += sStep )
   {
    thisShift = integer(iShift);

    (void) vvCopy( workBuff, thisBuff, size );
    (void) clShift( workBuff, size, thisShift, 0 );
    (void) vvSub( workBuff, refBuff, size );

    thisRMS = vRMS( workBuff, size );

    if (thisRMS < bestRMS)
       {
        bestRMS   = thisRMS;
        bestShift = thisShift;
       };
   }
    
(void) clShift( thisBuff, size, bestShift, 0 );

(void) dWrite( outUnit, refBuff,  wordLen*size );
(void) dWrite( outUnit, thisBuff, wordLen*size );

sw  = getParm( fdata, NDSW,  CUR_XDIM );
obs = getParm( fdata, NDOBS, CUR_XDIM );

bestShiftHz  = sw*bestShift/size;
bestShiftPPM = bestShiftHz/obs;

(void) printf( "%.4f %.0f %.0f %f %f", bestShiftPPM, bestShift, size, sw, obs );

