#!/bin/csh

#
# 3D Processing, Parallel Version: execute via nmrShell.
#   Invoked with CPU-ID number as argument 1 ($1).

# Remove files used to synchronize parts 1 and 2 of this scheme.
# Execute part 1 of the scheme.
#

waitFor -par pipe.net -init -ext part1

xyz2pipe -in fid/test%03d.fid -x -verb -par pipe.net -cpu $1 \
| nmrPipe  -fn SOL                                  \
| nmrPipe  -fn SP -off 0.5 -end 0.98 -pow 2 -c 0.5  \
| nmrPipe  -fn ZF                                   \
| nmrPipe  -fn FT                                   \
| nmrPipe  -fn PS -p0 43  -p1 0.0 -di               \
| nmrPipe  -fn EXT -left -sw                        \
| nmrPipe  -fn TP                                   \
| nmrPipe  -fn SP -off 0.5 -end 0.98 -pow 1 -c 1.0  \
| nmrPipe  -fn ZF                                   \
| nmrPipe  -fn FT                                   \
| nmrPipe  -fn PS -p0 -135 -p1 180 -di              \
| pipe2xyz -out ft/test%03d.ft2 -y

# Wait for all computers to finish part 1:
#
waitFor -par pipe.net -ext part1 -cpu $1

# Execute part 2 of the scheme:
#
xyz2pipe -in ft/test%03d.ft2 -z -verb -par pipe.net -cpu $1 \
| nmrPipe  -fn SP -off 0.5 -end 0.98 -pow 1 -c 0.5  \
| nmrPipe  -fn ZF                                   \
| nmrPipe  -fn FT                                   \
| nmrPipe  -fn PS -p0 0.0 -p1 0.0 -di               \
| pipe2xyz -out ft/test%03d.ft3 -z
