#!/bin/csh

#
# 4D 13C NOE Processing with re-ordering of the data dimensions: 
#   Original order: X=acq1H Y=indir1H Z=13Cz    A=13Ca.
#   Final order:    X=acq1H Y=13Cz    Z=indir1H A=13Ca.
#   The scheme processes (acq1H,indir1H), then 13Cz, then 13Ca.
#   "EXT -time" clips padding added by Bruker to each 1D FID.

xyz2pipe -in fid/c13c13noe%02d%03d.DAT -x \
| nmrPipe -fn EXT -time                             \
| nmrPipe -fn SP  -off 0.45 -end 0.95 -pow 2 -c 0.5 \
| nmrPipe -fn ZF  -size 512                         \
| nmrPipe -fn FT                                    \
| nmrPipe -fn PS  -p0 0.0 -p1 0.0 -di               \
| nmrPipe -fn TP                                    \
| nmrPipe -fn SP  -off 0.45 -end 1.0 -pow 1  -c 0.5 \
| nmrPipe -fn ZF  -size 128                         \
| nmrPipe -fn FT                                    \
| nmrPipe -fn PS  -p0 0.0 -p1 0.0 -di               \
| nmrPipe -fn TP                                    \
| pipe2xyz -out ft/c13c13noe%02d%03d.DAT -z -ov

xyz2pipe -in ft/c13c13noe%02d%03d.DAT -y -verb      \
| nmrPipe -fn SP -off 0.5 -end 0.95 -pow 2  -c 1.0  \
| nmrPipe -fn ZF -size 64                           \
| nmrPipe -fn FT                                    \
| nmrPipe -fn PS  -p0 -90  -p1 180  -di             \
| pipe2xyz -out ft/c13c13noe%02d%03d.DAT -y -ov -inPlace

xyz2pipe -in ft/c13c13noe%02d%03d.DAT -a -verb     \
| nmrPipe -fn SP -off 0.5 -end 0.95 -pow 2  -c 1.0 \
| nmrPipe -fn ZF -size 64                          \
| nmrPipe -fn FT                                   \
| nmrPipe -fn PS  -p0 -90  -p1 180  -di            \
| pipe2xyz -out ft/c13c13noe%02d%03d.DAT -a -ov -inPlace
