#!/bin/csh

if (`flagLoc $argv -help` || $#argv == 1) then
   echo "Process One or More VNMRJ Data Sets with NMRPipe."
   echo " Specify Data to Process as a List of Directories:"
   echo "  vj2pipeN.com -dirList vjDir1 vjDir2 ... -argList vj2pipeOptions ..."
   echo " Specify Data to Process as a List of vj2pipe.com Arguments:"
   echo "  vj2pipeN.com -dirInfo vj2pipeOptions1 ... -- vj2pipeOptions2 ..."
   echo " Specify Number of Simultaneous Jobs:"
   echo "  -nMax nMax" 
   echo "Examples:"
   echo "  vj2pipeN.com -dirList * -argList -cleanOnly"
   echo "  vj2pipeN.com -dirList * -argList -nograph"
   exit 0
endif

set argList = (`getListArgDN $argv -argList -- None`) 
set nMax    = (`getArgD $argv -nMax 1`)
set n       = 0

if ("$argList" == "None" || "$argList" == "NONE" || "$argList" == "none") then
endif

if (`flagLoc $argv -dirList`) then
   foreach i ($argv[1-])
      if (-d $i) then
         @ n++

         set nID = (`IMATH $n % $nMax`)
         @ nID++

         if ($nID == 1) then
            echo "VJ2PIPE-N: vj2pipe.com -cd $i -args $argList"
            vj2pipe.com -nID $nID -cd $i -args $argList
         else
            echo "VJ2PIPE-N: vj2pipe.com -cd $i -args $argList &"
            xterm -e vj2pipe.com -nID $nID -cd $i -args $argList &
         endif
      endif
   end

   exit 0
endif
